Bug 1284596 - Add vmpool doesn't have <use_latest_template_version> tag as opposed to Add vm
Summary: Add vmpool doesn't have <use_latest_template_version> tag as opposed to Add vm
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: RestAPI (Show other bugs)
(Show other bugs)
Version: 3.6.0.3
Hardware: Unspecified Unspecified
unspecified
medium vote
Target Milestone: ovirt-3.6.2
: 3.6.2
Assignee: jniederm
QA Contact: Lukas Svaty
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-23 16:03 UTC by sefi litmanovich
Modified: 2016-02-18 11:14 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-18 11:14:48 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
michal.skrivanek: ovirt-3.6.z?
slitmano: planning_ack?
michal.skrivanek: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 49220 master MERGED restapi: VmPools can use <use_latest_template_version> Never
oVirt gerrit 49243 ovirt-engine-3.6 MERGED restapi: VmPools can use <use_latest_template_version> Never

Description sefi litmanovich 2015-11-23 16:03:20 UTC
Description of problem:

Since template version was introduced there's an option in UI to create a vm/vmpool from a template and choose a specific version of the template or choose the latest version of the template.
This feature is especially important of vm pool use cases where you want you pool to b in accord with the latest template version available.
While this feature can be enabled in Rest API for a vm using:

<use_latest_template_version>true</use_latest_template_version>

It doesn't exist for vmpool entity and so user cannot create a pool with latest template version using Rest.

Version-Release number of selected component (if applicable):
rhevm-3.6.0.3-0.1.el6.noarch

How reproducible:

always

Comment 3 Red Hat Bugzilla Rules Engine 2015-11-24 15:57:28 UTC
This bug is not marked for z-stream, yet the milestone is for a z-stream version, therefore the milestone has been reset.
Please set the correct milestone or add the z-stream flag.

Comment 4 Yaniv Kaul 2015-11-26 10:51:58 UTC
Not sure if it's a bug or a missing feature.

Comment 5 Sandro Bonazzola 2015-12-23 13:41:40 UTC
oVirt 3.6.2 RC1 has been released for testing, moving to ON_QA

Comment 6 Lukas Svaty 2016-01-21 14:39:07 UTC
verified in rhevm-restapi-3.6.2.6-0.1.el6.noarch


Note You need to log in before you can comment on or make changes to this bug.